Dependencies
============

In order to facilitate dependency management, you can use a pip and
a virtual environment (like virtualenv).

Install packages:

     # apt-get install python3-pip python3-virtualenv

Create and activate the virtualenv with:

     $ virtualenv -p $(which python3) venv
     $ source venv/bin/activate

We use django framework.  Install it from requirements with pip:

     $ pip install -r requirements/base.txt

Set up configuration
====================

Create and edit configuration file `wifiwithme/settings/local.py`
following this example:

    NOTIFICATION_EMAILS=['admin@example.tld']

    DEFAULT_FROM_EMAIL='notifier@example.tld'

    SITE_URL="http://example.tld"

But theses are optional settings for testing.

Run development server
======================

It is required to initialize database first:

    $ ./manage.py migrate

Then launch service with:

    $ ./manage.py runserver

You can visit your browser at <http://127.0.0.1:8000/map/contribute>

Run production server
=====================

To be done

Drop the database
=================

    $ rm db.sqlite3

What else ?

Customizing appearance
======================

Wether you like or not balloons, you may want to override some templates and/or
static files.

You can mention a `CUSTOMIZATION_DIR` as environ variable. In that dir, you can
create *assets* and *views* subdirs, containing files with the name of the
original files you want to override from default *assets* and *views*.

For example to override only *main.css* and *base.tpl*, you would set
`CUSTOMIZATION_DIR=/home/alice/my-fancy-isp-theme` and use the following directory
layout :

    /home/alice/my-fancy-isp-theme/
    ├── assets
    │   └── main.css
    └── views
        └── base.tpl
